#ifndef __MT12864J_DRV_H__
#define __MT12864J_DRV_H__

#define MT12864J_XSIZE	(21)
#define MT12864J_YSIZE	(8)

void mt12864j_Init(void);

/*
void mt12864j_OnOffCtrl(unsigned char cmd);
void mt12864j_SetStartLine(unsigned char line_num);
void mt12864j_SetPage(unsigned char crystal, unsigned char page_num);
void mt12864j_SetAddr(unsigned char addr);
void mt12864j_WriteData(unsigned char data, unsigned int addr);
*/
void mt12864j_SetEqData(unsigned char data);
void mt12864j_SetEqDataToPage(unsigned char crystal, unsigned char page, unsigned char data);
void mt12864j_SetEqDataToPageAddr(unsigned char page, unsigned char start_addr, unsigned char stop_addr, unsigned char data);
#define mt12864j_Clear()						mt12864j_SetEqData(0x00)
#define mt12864j_ClearPage(crystal, page)	mt12864j_SetEqDataToPage(crystal, page, 0x00)
#define mt12864j_ClearPageAddr(page, start_addr, stop_addr)	mt12864j_SetEqDataToPageAddr(page, start_addr, stop_addr, 0x00);
void mt12864j_PrintChar(unsigned char page, unsigned char addr, unsigned char data, unsigned char show_mode);
void mt12864j_PrintString(unsigned char page, unsigned char addr, unsigned char* string, unsigned char show_mode);
void mt12864j_PrintNum(unsigned char page, unsigned char addr, unsigned int val, unsigned char show_mode);
void mt12864j_Point(unsigned int x, unsigned int y);
void mt12864j_Byte(unsigned char page, unsigned char addr, unsigned char val);

#endif
