#ifndef __RTC_H__
#define __RTC_H__

#define START_YEAR  2013
#define START_MONTH 06
#define START_DATA  11
#define START_HOUR  14
#define START_MIN   30
#define START_SEC   0
#define START_MSEC  0

typedef struct{
  unsigned short year;
  unsigned short month;
  unsigned short date;
  unsigned short hour;
  unsigned short min;
  unsigned short sec;
  unsigned short msec;
} TTime;

void rtc_Init(void);
TTime rtc_GetTime(void);
void rtc_Work(void);
unsigned char rtc_GetDayInMonth(unsigned char month);
void rtc_TimeSet(TTime* ptime);


#endif
