#include <string.h>
#include <stdio.h>
#include "itmr.h"
#include "console.h"
#include "wnds.h"
#include "disp.h"
#include "button.h"
#include "keyboard.h"
#include "error.h"

static bool EventProc(unsigned int code, unsigned int data);

static TWnd Wnd = { WID_ERROR, 0, EventProc, 0 };

static bool EventProc(unsigned int code, unsigned int data)
{			
	unsigned char str_line = 0;
	switch (code) {
    case WE_DRAW:
      if (data == 0) {
				if(error_Is()){
					if(error_Is() & HSE_ERROR)
						disp_ShowStr(0, str_line++, "HSE_ERROR");
					if(error_Is() & PLL_ERROR)
						disp_ShowStr(0, str_line++, "PLL_ERROR");
					if(error_Is() & LSE_ERROR)
						disp_ShowStr(0, str_line++, "LSE_ERROR");
					if(error_Is() & HSE2_ERROR)
						disp_ShowStr(0, str_line++, "HSE2_ERROR");
					if(error_Is() & RTC_WAIT1_ERROR)
						disp_ShowStr(0, str_line++, "RTC_WAIT1_ERROR");
					if(error_Is() & RTC_WAIT2_ERROR)
						disp_ShowStr(0, str_line++, "RTC_WAIT2_ERROR");				
				}
				else
					disp_ShowStr(0, str_line++, " ");				
      }
      break;   				
		case WE_BUTTON:
			switch(data){
				case LEFT:
					console_CloseWnd(0);
					break;
				default:
					break;
			}
			break;
					
		case WE_KEYS:		
			switch(data){
				case KEY_ESC:
					console_CloseWnd(0);
					break;				
				default:
					break;
			}
			break;				
		default:		
			break;
  }

  return true;
}

void wnd_Error(void)
{ 	
  console_OpenWnd(&Wnd);
}
