#ifndef __BUTTON_H__
#define __BUTTON_H__

//  
#define NOPRESS_B ((1 << 7) | (1 << 8) | (1 << 9) | (1 << 10))
#define NOPRESS_C (1 << 2)
#define NOPRESS (NOPRESS_B | NOPRESS_C)
#define UP			((1 << 7) | (0 << 8) | (1 << 9) | (1 << 10) | (1 << 2))
#define DOWN		((1 << 7) | (1 << 8) | (0 << 9) | (1 << 10) | (1 << 2))
#define LEFT		((1 << 7) | (1 << 8) | (1 << 9) | (0 << 10) | (1 << 2))
#define RIGHT		((1 << 7) | (1 << 8) | (1 << 9) | (1 << 10) | (0 << 2))
#define SELECT	((0 << 7) | (1 << 8) | (1 << 9) | (1 << 10) | (1 << 2))

/*
enum {
	UP 		= 0x74, 
	DOWN 	= 0x6C, 
	RIGHT	= 0x5C, 
	LEFT 	= 0x3C, 
	SELECT 	= 0x78, 
	NOPRESS = 0x7C
};
*/

void button_Init(void);
//   
unsigned short button_Press(void);	
void button_SetFastMode(char fmode);

//void button_Test(void);

#endif
