#ifndef __MUX_H__
#define __MUX_H__

#define MUX_EXP_ADDR				(12)
#define MUX_FLASH_ADDR			(11)
#define MUX_PRESS_ADDR			(10)
#define MUX_MRAM_ADDR				(9)

#define MUX_MICRO_SD_ADDR		(8)
#define MUX_FRAM_ADDR				(7)
#define MUX_EEPROM_ADDR			(6)
#define MUX_COMPAS_ADDR			(5)

void mux_Init(void);
void mux_SetAddr(uint8_t addr);
void mux_ClearAddr(void);
void mux_Test(void);

#endif
