#include <string.h>
#include <stdio.h>
#include "itmr.h"
#include "console.h"
#include "wnds.h"

#include "disp.h"
#include "button.h"
#include "keyboard.h"

#define VERSION_LO	0
#define VERSION_HI	2

static char Version[8];

static bool EventProc(unsigned int code, unsigned int data);

static TWnd Wnd = { WID_VERSION, 0, EventProc, 0 };

static bool EventProc(unsigned int code, unsigned int data)
{
  switch (code) {
    case WE_DRAW:
      if (data == 0) {
				sprintf(Version, "ver %d.%d", VERSION_HI, VERSION_LO);
				disp_ShowStr(0, 0, Version);
      }
      break;   
		case WE_BUTTON:
			switch(data){
				case LEFT:
					console_CloseWnd(0);
					break;
				default:
					break;
			}
			break;
					
		case WE_KEYS:		
			switch(data){
				case KEY_ESC:
					console_CloseWnd(0);
					break;
				default:
					break;
			}
			break;
  }

  return false;
}

void wnd_Version(void)
{ 
  console_OpenWnd(&Wnd);
}
